<?php
    if(!$modelSolicita->userCanViewPendenciaOriginal()) {
        if (!$modelSolicita->Cliente->isAllowed()) {
            User::blockAction('Pendência de cliente que não pertence a sua Unidade de Negócios');
        }
    }

    $nomeCliente  = Util::getNomeImplantacao($modelSolicita->Cliente->CLI_NOME, $modelSolicita->Cliente->CLI_IMPLANTACAO);
    $this->renderPartial('/solicitacoes/_cabecalho', array('model' => $modelSolicita));

    $this->renderPartial('_form', array(
        'model' => $model,
        'modelSolicita' => $modelSolicita,
        'arquivos' => $arquivos,
        'SAT_IDSOLICITACAO' => $SAT_IDSOLICITACAO,
        'locais' => $locais,
        'buttons' => 'create')
    );
?>
<div id="div-atividades">
    <?php
        $criteria = new CDbCriteria();
        $criteria->compare('SAT_IDSOLICITACAO', $SAT_IDSOLICITACAO);
        $dataProvider = new CActiveDataProvider('SolicitacoesAtividades', array(
            'criteria' => $criteria,
            'sort' => array(
                'defaultOrder' => 'SAT_DATACADASTRO DESC, SAT_IDATIVIDADE DESC',
                ),
            )
        );

        $this->widget('zii.widgets.CListView', array(
            'dataProvider' => $dataProvider,
            'itemView' => '_view',
            )
        );
    ?>
</div>